Get controlled study IDs

/v2/third-party-provider/dcf/access

This call returns a list of study IDs associated with the authenticated RAS user. These study IDs represent the controlled-access datasets (such as TARGET controlled studies) you have been authorized to access through dbGaP.

Path

https://cgc-api.sbgenomics.com/v2/third-party-provider/dcf/access 

Request

Example request

GET /v2/third-party-provider/dcf/access HTTP/1.1 
Host: cgc-api.sbgenomics.com 
X-SBG-Auth-Token: 3259c50e1ac5426ea8f1273259740f74 
curl -s -H "X-SBG-Auth-Token: 3259c50e1ac5426ea8f1273259740f74" \ 
  -X GET "https://cgc-api.sbgenomics.com/v2/third-party-provider/dcf/access" 

Header Fields

NameDescription
X-SBG-Auth-TokenYour Platform authentication token.

Path parameters

NameDescription
idpslugRequired Identity provider slug. For CGC, use dcf.

Response

See a list of specific response codes that may be contained in the body of the response.

Query parameters

The response object contains information about your authorized study IDs. The information is structured using the following key-value pairs:

KeyData typeDescription
itemsarrayArray of access ID objects.
access_idstringThe dbGaP study accession (e.g., phs001024.v3.p1) for which you have authorized access.

Example response body

{ 
  "access_ids": [ 
    ' phs000956.v4.p1', 
    ' phs001024.v3.p1', 
] 
} 

Prerequisites

Before using this endpoint, ensure you have:

  • A RAS account (eRA Commons) registered on CGC platform
  • Approved Data Access Requests (DARs) in dbGaP for the studies you wish to access
  • A valid authentication token

Related API Calls